All Apps and Add-ons

Unable to use Graphviz along with jquery-ui.min.js

saneja
New Member

Hello,

I am trying to create simple graphs using Graphviz on an existing xml form, which also uses jquery-ui.min.js library.
Following the standard way of creating graph using the viz tag.

test.xml

viz type="SA-Graphviz.graphviz" id="mygraph">


| makeresults | eval type="edge", origin="$app_id_tok$", destination="B" | table type, origin, destination

test.js

require([
'underscore',
'jquery',
'/static/app/' + appName + '/libs/jquery-ui.min.js'
'/static/app/' + appName + '/libs/jquery.ellipsis.min.js',
'/static/app/' + appName + '/libs/x2js.min.js',
'splunkjs/mvc',
'splunkjs/mvc/searchmanager',
'splunkjs/mvc/singleview',
'splunkjs/mvc/chartview',

'splunkjs/mvc/simplexml/ready!'

Keep on getting error:
Uncaught Error: cannot call methods on tooltip prior to initialization; attempted to call method 'destroy'
at Function.error (common.js:14)
at HTMLAnchorElement. (jquery-ui.min.js:11)
at Function.each (common.js:14)
at jQuery.fn.init.each (common.js:14)
at jQuery.fn.init.t.fn. as tooltip
at child.render (dashboard.js:76)
at child. (common.js:44)
at triggerEvents (common.js:29)
at Backbone.Model.trigger (common.js:29)
at Backbone.Model.set (common.js:29)

More info
I have tried changing the sequence of libraries to no effect. Seems tooltip is used by Graphviz libraries and they always load before jquery-ui.min.js
I have another form which does not use jquery-ui library, and the Graphs are created without any issues.

Please assist regarding the usage of Graphviz on the form which also has jquery-ui.min.js

Thanks
SA

0 Karma

niketnilay
Legend

@saneja Graphviz App is already available on Splunkbase: https://splunkbase.splunk.com/app/4346/

Try out and confirm.

____________________________________________
| makeresults | eval message= "Happy Splunking!!!"
0 Karma

saneja
New Member

@niketnilay Yes, I am already using the app.
type="SA-Graphviz.graphviz"

As I mentioned in the query, I am able to create graphs correctly on forms where jquery-ui.min.js is not used.
The error is occurring on form which also uses jquery-ui.min.js

Thanks
SA

0 Karma